Installing InterBase 5.6 and 6.0 on Corel Linux 1.0

By: Borland Staff

Abstract: InterBase does not work with the Corel Linux 1.0 distribution, as it installs out of the box. Here are the steps you need to take to get InterBase up and running with Corel Linux 1.0.

Installing InterBase 5.6 and 6.0 on Corel Linux 1.0

Many thanks to Andrew Sergeev of Inprise Russia for providing this document to help out those running InterBase with Corel Linux.

Thank you, Andrew -- The InterBase Team

Identifying the Problem
InterBase does not work with the Corel Linux 1.0 distribution, as it installs out of the box. Here are the steps you need to take to get InterBase up and running with Corel Linux 1.0.

InterBase 6.0 for Linux requires glibc (libc6) version 2.1. Corel Linux 1.0 ships with glibc 2.0. Since glibc 2.1 isn't totally backwards compatible with glibc 2.0 InterBase won't work with the older 2.0 library. You need to upgrade the glibc library to version 2.1 in order for InterBase to function properly.

Here are a set of steps to help you upgrade your glibc to version 2.1:

Uninstall packages dependent on glibc
1. Mount the Corel Linux CD

# mount /dev/cdrom
2. Run Corel Update. In the "base" node you have to de-install the timezone package otherwise it will generate conflicts during the new library installation.

3. Double-click on the "lock" icon next to the package name. Click the Install&Update button on the toolbar and the timezone will be removed.

4. Unmount the Corel Linux CD

# umount /dev/cdrom

Download the glibc 2.1 package
You can download the package from Debain:

ftp://ftp.debian.org/debian/dists/woody/main/binary-i386/base/ldso_1.9.11-7.deb
ftp://ftp.debian.org/debian/dists/woody/main/binary-i386/base/libc6_2.1.3-8.deb

Install the 2.1 version of glibc
1. In Corel Update select "Install DEB package" menu item.

2. find and select the ldso_1_9_11-5.deb package that you just downloaded

3. next find and select the libc6_2_1_2-12.deb package.

4. when asked whether to restart the system services, say yes. Otherwise, you will have to restart the system manually.

Server Response from: ETNASC03